---
title: "Update a project member's role"
url: https://docs.gleap.ai/en/reference/rest-api/update-user
method: PUT
path: "/projects/users/{userId}"
api: "API Reference"
tag: "Project"
operationId: "UpdateUser"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Update a project member's role

`PUT https://api.gleap.io/v3/projects/users/{userId}`

Change a member's role within the project given in the required `project` header. Only the project creator or an admin of the project/organisation may do this, and you cannot change your own role (403). Returns `true`.

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Path parameters

- `userId` (string, required)

## Request body (`application/json`, required)

- `role` (string, required)

## Example request

```bash
curl --request PUT \
  --url 'https://api.gleap.io/v3/projects/users/{userId}' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "role": "<role>"
}'
```

## Responses

### 200 (`application/json`)

Ok

```json
true
```
